Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class JournalEntryType

    java.lang.Object
      com.compoze.exchange.JournalEntryType

All Implemented Interfaces:
  java.io.Serializable

public class JournalEntryType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Exchange journal entry types. The type of journal entry is represented with a type string.

See Also:
  Serialized Form

Field Summary
`static JournalEntryType` | `CONVERSATION` This value represents the 'conversation' journal entry type.
`static JournalEntryType` | `DOCUMENT` This value represents the 'document' journal entry type.
`static JournalEntryType` | `EMAIL_MESSAGE` This value represents the 'email message' journal entry type.
`static JournalEntryType` | `FAX` This value represents the 'fax' journal entry type.
`static JournalEntryType` | `LETTER` This value represents the 'letter' journal entry type.
`static JournalEntryType` | `MEETING` This value represents the 'meeting' journal entry type.
`static JournalEntryType` | `MEETING_CANCELLATION` This value represents the 'meeting cancellation' journal entry type.
`static JournalEntryType` | `MEETING_REQUEST` This value represents the 'meeting request' journal entry type.
`static JournalEntryType` | `MEETING_RESPONSE` This value represents the 'meeting response' journal entry type.
`static JournalEntryType` | `MICROSOFT_ACCESS` This value represents the 'Microsoft Access' journal entry type.
`static JournalEntryType` | `MICROSOFT_EXCEL` This value represents the 'Microsoft Excel' journal entry type.
`static JournalEntryType` | `MICROSOFT_POWERPOINT` This value represents the 'Microsoft PowerPoint' journal entry type.
`static JournalEntryType` | `MICROSOFT_WORD` This value represents the 'Microsoft Word' journal entry type.
`static JournalEntryType` | `NOTE` This value represents the 'Note' journal entry type.
`static JournalEntryType` | `PHONE_CALL` This value represents the 'Phone call' journal entry type.
`static JournalEntryType` | `REMOTE_SESSION` This value represents the 'Remote session' journal entry type.
`static JournalEntryType` | `TASK` This value represents the 'Task' journal entry type.
`static JournalEntryType` | `TASK_REQUEST` This value represents the 'Task request' journal entry type.
`static JournalEntryType` | `TASK_RESPONSE` This value represents the 'Task response' journal entry type.
`static int` | `VALUE_CONVERSATION` This value represents the 'conversation' value.
`static int` | `VALUE_DOCUMENT` This value represents the 'document' value.
`static int` | `VALUE_EMAIL_MESSAGE` This value represents the 'email message' value.
`static int` | `VALUE_FAX` This value represents the 'fax' value.
`static int` | `VALUE_LETTER` This value represents the 'letter' value.
`static int` | `VALUE_MEETING` This value represents the 'meeting' value.
`static int` | `VALUE_MEETING_CANCELLATION` This value represents the 'meeting cancellation' value.
`static int` | `VALUE_MEETING_REQUEST` This value represents the 'meeting request' value.
`static int` | `VALUE_MEETING_RESPONSE` This value represents the 'meeting response' value.
`static int` | `VALUE_MICROSOFT_ACCESS` This value represents the 'Microsoft Access' value.
`static int` | `VALUE_MICROSOFT_EXCEL` This value represents the 'Microsoft Excel' value.
`static int` | `VALUE_MICROSOFT_POWERPOINT` This value represents the 'Microsoft PowerPoint' value.
`static int` | `VALUE_MICROSOFT_WORD` This value represents the 'Microsoft Word' value.
`static int` | `VALUE_NOTE` This value represents the 'note' value.
`static int` | `VALUE_PHONE_CALL` This value represents the 'phone call' value.
`static int` | `VALUE_REMOTE_SESSION` This value represents the 'remote session' value.
`static int` | `VALUE_TASK` This value represents the 'task' value.
`static int` | `VALUE_TASK_REQUEST` This value represents the 'task request' value.
`static int` | `VALUE_TASK_RESPONSE` This value represents the 'task response' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static JournalEntryType` | `get(int iValue)` Gets the journal entry type using the enumeration value.
`static JournalEntryType` | `get(java.lang.String sType)` Gets the journal entry type by the specified type string.
`static java.util.List` | `getList()` Gets the list of journal entry types.
`java.lang.String` | `getType()` Gets the type string of the journal entry type.
`int` | `getValue()` Gets the enumeration value of the journal entry type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_CONVERSATION

    public static final int VALUE_CONVERSATION

  This value represents the 'conversation' value.

  See Also:
    Constant Field Values

### VALUE_DOCUMENT

    public static final int VALUE_DOCUMENT

  This value represents the 'document' value.

  See Also:
    Constant Field Values

### VALUE_EMAIL_MESSAGE

    public static final int VALUE_EMAIL_MESSAGE

  This value represents the 'email message' value.

  See Also:
    Constant Field Values

### VALUE_FAX

    public static final int VALUE_FAX

  This value represents the 'fax' value.

  See Also:
    Constant Field Values

### VALUE_LETTER

    public static final int VALUE_LETTER

  This value represents the 'letter' value.

  See Also:
    Constant Field Values

### VALUE_MEETING

    public static final int VALUE_MEETING

  This value represents the 'meeting' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_CANCELLATION

    public static final int VALUE_MEETING_CANCELLATION

  This value represents the 'meeting cancellation' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST

    public static final int VALUE_MEETING_REQUEST

  This value represents the 'meeting request' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE

    public static final int VALUE_MEETING_RESPONSE

  This value represents the 'meeting response' value.

  See Also:
    Constant Field Values

### VALUE_MICROSOFT_ACCESS

    public static final int VALUE_MICROSOFT_ACCESS

  This value represents the 'Microsoft Access' value.

  See Also:
    Constant Field Values

### VALUE_MICROSOFT_EXCEL

    public static final int VALUE_MICROSOFT_EXCEL

  This value represents the 'Microsoft Excel' value.

  See Also:
    Constant Field Values

### VALUE_MICROSOFT_POWERPOINT

    public static final int VALUE_MICROSOFT_POWERPOINT

  This value represents the 'Microsoft PowerPoint' value.

  See Also:
    Constant Field Values

### VALUE_MICROSOFT_WORD

    public static final int VALUE_MICROSOFT_WORD

  This value represents the 'Microsoft Word' value.

  See Also:
    Constant Field Values

### VALUE_NOTE

    public static final int VALUE_NOTE

  This value represents the 'note' value.

  See Also:
    Constant Field Values

### VALUE_PHONE_CALL

    public static final int VALUE_PHONE_CALL

  This value represents the 'phone call' value.

  See Also:
    Constant Field Values

### VALUE_REMOTE_SESSION

    public static final int VALUE_REMOTE_SESSION

  This value represents the 'remote session' value.

  See Also:
    Constant Field Values

### VALUE_TASK

    public static final int VALUE_TASK

  This value represents the 'task' value.

  See Also:
    Constant Field Values

### VALUE_TASK_REQUEST

    public static final int VALUE_TASK_REQUEST

  This value represents the 'task request' value.

  See Also:
    Constant Field Values

### VALUE_TASK_RESPONSE

    public static final int VALUE_TASK_RESPONSE

  This value represents the 'task response' value.

  See Also:
    Constant Field Values

### CONVERSATION

    public static final JournalEntryType CONVERSATION

  This value represents the 'conversation' journal entry type.

### DOCUMENT

    public static final JournalEntryType DOCUMENT

  This value represents the 'document' journal entry type.

### EMAIL_MESSAGE

    public static final JournalEntryType EMAIL_MESSAGE

  This value represents the 'email message' journal entry type.

### FAX

    public static final JournalEntryType FAX

  This value represents the 'fax' journal entry type.

### LETTER

    public static final JournalEntryType LETTER

  This value represents the 'letter' journal entry type.

### MEETING

    public static final JournalEntryType MEETING

  This value represents the 'meeting' journal entry type.

### MEETING_CANCELLATION

    public static final JournalEntryType MEETING_CANCELLATION

  This value represents the 'meeting cancellation' journal entry type.

### MEETING_REQUEST

    public static final JournalEntryType MEETING_REQUEST

  This value represents the 'meeting request' journal entry type.

### MEETING_RESPONSE

    public static final JournalEntryType MEETING_RESPONSE

  This value represents the 'meeting response' journal entry type.

### MICROSOFT_ACCESS

    public static final JournalEntryType MICROSOFT_ACCESS

  This value represents the 'Microsoft Access' journal entry type.

### MICROSOFT_EXCEL

    public static final JournalEntryType MICROSOFT_EXCEL

  This value represents the 'Microsoft Excel' journal entry type.

### MICROSOFT_POWERPOINT

    public static final JournalEntryType MICROSOFT_POWERPOINT

  This value represents the 'Microsoft PowerPoint' journal entry type.

### MICROSOFT_WORD

    public static final JournalEntryType MICROSOFT_WORD

  This value represents the 'Microsoft Word' journal entry type.

### NOTE

    public static final JournalEntryType NOTE

  This value represents the 'Note' journal entry type.

### PHONE_CALL

    public static final JournalEntryType PHONE_CALL

  This value represents the 'Phone call' journal entry type.

### REMOTE_SESSION

    public static final JournalEntryType REMOTE_SESSION

  This value represents the 'Remote session' journal entry type.

### TASK

    public static final JournalEntryType TASK

  This value represents the 'Task' journal entry type.

### TASK_REQUEST

    public static final JournalEntryType TASK_REQUEST

  This value represents the 'Task request' journal entry type.

### TASK_RESPONSE

    public static final JournalEntryType TASK_RESPONSE

  This value represents the 'Task response' journal entry type.

Method Detail

### getType

    public java.lang.String getType()

  Gets the type string of the journal entry type. This is the journal entry type string in the underlying store.

  Returns:
    the type string of the journal entry type

### getValue

    public int getValue()

  Gets the enumeration value of the journal entry type. This value is unique within the `JournalEntryType` class.

  Returns:
    the enumeration value of the journal entry type (see `VALUE_` constants)

### get

    public static JournalEntryType get(java.lang.String sType)

  Gets the journal entry type by the specified type string.

  Parameters:
    `sType` - the type string of the journal entry type
  Returns:
    the matching journal entry type or `null` if not found

### get

    public static JournalEntryType get(int iValue)

  Gets the journal entry type using the enumeration value.

  Parameters:
    `iValue` - the enumeration value of the journal entry type
  Returns:
    the matching journal entry type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of journal entry types.

  Returns:
    the list of `JournalEntryType`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.